Name:          knetstats
Version:       1.6.1
Release:       2%{?dist}
Summary:       Network monitor in KDE

License:       GPL
Group:         Applications/Internet
URL:           http://knetstats.sourceforge.net/

Source0:       http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kdelibs-devel, gettext, desktop-file-utils automake

%description
A simple KDE network monitor that show rx/tx LEDs or numeric information about
the transfer rate of any network interface in a system tray icon.

%prep
%setup -q

%build
%configure --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

desktop-file-install --vendor "" \
    --add-category Network \
    --delete-original \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/en/%{name}/common
#ln -s ../common %{buildroot}%{_docdir}/HTML/en/%{name}/common

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_datadir}/apps/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_docdir}/HTML/en/%{name}/

%Changelog
* Fri Jan 12 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6.1-2
- Added Automake to BR

* Tue Jan 09 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6.1-1
- Upstream release 1.6.1
- dropped fedora vendor

* Tue Sep 12 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6-1
- Upstream release 1.6

* Wed Aug 30 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-8
- Rebuild for devel

* Sat Jun 17 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-7
- dropped knetstats-1.5-kde.patch

* Fri Jun 16 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-6
- GTK+ icon cache added in %post and %postun for icons to show up on menus

* Mon Jun 12 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-5
- Corrected "Permission Denied" while creating ln -s 'common' to '../common'
- Dropped qt-devel as BuildRequire
- Removed (unneccessary) update-desktop-database in %post and %postun
- patch for admin.py due to dangling-relative-symlink with ../common

* Sun Jun 11 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-4
- patch for SConstruct renamed to knetstats-1.5-rpathfix.patch
- patch for knetstats-1.5-desktop.patch
- Integration of desktop-file-install
- Added scons as BuildRequire

* Mon Jun 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-3
- Dropped scons and gcc-c++ as BuildRequire
- patch for SConstruct added

* Sun Jun 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-2
- Removed packager tag and corrected "incoherent-version-in-changelog"

* Sat Jun 03 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-1
- Initial package.
